=== xen/drivers/video/Makefile ===
obj-$(CONFIG_VGA) := vga.o
obj-$(CONFIG_VIDEO) += font_8x14.o
obj-$(CONFIG_VIDEO) += font_8x16.o
obj-$(CONFIG_VIDEO) += font_8x8.o
obj-$(CONFIG_VIDEO) += lfb.o
obj-$(CONFIG_VGA) += vesa.o
