=== xen/arch/x86/guest/xen/Makefile ===
obj-y += hypercall_page.o
obj-y += xen.o

obj-bin-$(CONFIG_PVH_GUEST) += pvh-boot.init.o
