## xen 4.17.2+76-ge1f9cb16e2

=== debian/changelog ===
xen (4.17.2+76-ge1f9cb16e2-1ubuntu1) noble; urgency=medium

  * Do not treat declaration-after-statement warnings as errors
    to avoid FTBFS with Python 3.12

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 31 Jan 2024 07:08:26 +0000

xen (4.17.2+76-ge1f9cb16e2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 09:19:41 +0000

xen (4.17.2+76-ge1f9cb16e2-1) unstable; urgency=medium

  * Update to new upstream version 4.17.2-76-ge1f9cb16e2, which also contains
    security fixes for the following issues: (Closes: #1056928)
    - x86/AMD: mismatch in IOMMU quarantine page table levels
      XSA-445 CVE-2023-46835
    - x86: BTC/SRSO fixes not fully effective
      XSA-446 CVE-2023-46836

 -- Maximilian Engelhardt <maxi@daemonizer.de>  Wed, 29 Nov 2023 20:17:30 +0100
