=== tools/libs/toolcore/Makefile ===
XEN_ROOT = $(CURDIR)/../../..
include $(XEN_ROOT)/tools/Rules.mk

MAJOR	= 1
MINOR	= 0

LIBHEADER := xentoolcore.h

include Makefile.common

include $(XEN_ROOT)/tools/libs/libs.mk

PKG_CONFIG_DESC := Central support for Xen Hypervisor userland libraries
